List input items
Returns a list of input items for a given response.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the response to retrieve input items for.
Query Parameters
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.
The order to return the input items in. Default is asc.
asc: Return the input items in ascending order.desc: Return the input items in descending order.
asc, desc An item ID to list items after, used in pagination.
An item ID to list items before, used in pagination.
Additional fields to include in the response. See the include
parameter for Response creation above for more information.
Specify additional output data to include in the model response. Currently supported values are:
file_search_call.results: Include the search results of the file search tool call.message.input_image.image_url: Include image urls from the input message.computer_call_output.output.image_url: Include image urls from the computer call output.
file_search_call.results, message.input_image.image_url, computer_call_output.output.image_url Response
OK
A list of Response items.
The type of object returned, must be list.
list A list of items used to generate this response.
Content item used to generate a response.
- Input message
- Output message
- File search tool call
- Computer tool call
- Computer tool call output
- Web search tool call
- Function tool call
- Function tool call output
Whether there are more items available.
The ID of the first item in the list.
The ID of the last item in the list.